Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclBinOStreamLittleEndian Class Reference
[OSCL Util]

Class OsclBinOStreamLittleEndian implements a binary output stream using little endian byte ordering. More...

`#include <oscl_bin_stream.h>`

Inheritance diagram for OsclBinOStreamLittleEndian:

## Public Methods
| OsclBinOStreamLittleEndian ()
OsclBinOStreamLittleEndian & | operator<< (const int8 &data)
| This method writes a int8 from 'data' to the stream.
OsclBinOStreamLittleEndian & | operator<< (const uint8 &data)
| This method writes a uint8 from 'data' to the stream.
OsclBinOStreamLittleEndian & | operator<< (const int16 &data)
| This method writes a int16 from 'data' to the stream.
OsclBinOStreamLittleEndian & | operator<< (const uint16 &data)
| This method writes a uint16 from 'data' to the stream.
OsclBinOStreamLittleEndian & | operator<< (const int32 &data)
| This method writes a int32 from 'data' to the stream.
OsclBinOStreamLittleEndian & | operator<< (const uint32 &data)
| This method writes a uint32 from 'data' to the stream.
## Protected Methods
void | WriteUnsignedShort (const uint16 data)
| This method writes 'data' (unsigned short) to the stream.
void | WriteUnsignedLong (const uint32 data)
| This method writes 'data' (unsigned long) to the stream.

## Detailed Description

Class OsclBinOStreamLittleEndian implements a binary output stream using little endian byte ordering.

## Constructor & Destructor Documentation

OsclBinOStreamLittleEndian::OsclBinOStreamLittleEndian | ( |  | ) | `[inline]`

## Member Function Documentation

OsclBinOStreamLittleEndian& OsclBinOStreamLittleEndian::operator<< | ( | const uint32 & | data | ) |

| This method writes a uint32 from 'data' to the stream.

OsclBinOStreamLittleEndian& OsclBinOStreamLittleEndian::operator<< | ( | const int32 & | data | ) |

| This method writes a int32 from 'data' to the stream.

OsclBinOStreamLittleEndian& OsclBinOStreamLittleEndian::operator<< | ( | const uint16 & | data | ) |

| This method writes a uint16 from 'data' to the stream.

OsclBinOStreamLittleEndian& OsclBinOStreamLittleEndian::operator<< | ( | const int16 & | data | ) |

| This method writes a int16 from 'data' to the stream.

OsclBinOStreamLittleEndian& OsclBinOStreamLittleEndian::operator<< | ( | const uint8 & | data | ) |

| This method writes a uint8 from 'data' to the stream.

OsclBinOStreamLittleEndian& OsclBinOStreamLittleEndian::operator<< | ( | const int8 & | data | ) |

| This method writes a int8 from 'data' to the stream.

void OsclBinOStreamLittleEndian::WriteUnsignedLong | ( | const uint32 | data | ) | `[protected]`

| This method writes 'data' (unsigned long) to the stream.

void OsclBinOStreamLittleEndian::WriteUnsignedShort | ( | const uint16 | data | ) | `[protected]`

| This method writes 'data' (unsigned short) to the stream.

The documentation for this class was generated from the following file:

- oscl_bin_stream.h